GNUNET-CORE(1)

NAME
gnunet-core - monitor CORE subsystem

SYNOPSIS
gnunet-core [-c FILENAME | --config=FILENAME] [-h | --help] [-L LOGLEVEL | --loglevel=LOGLEVEL] [-I HELLOURI | --import-hello=HELLOURI] [-H | --export-hello] [-D | --dump-hellos] [-m | --monitor] [-v | --version] [-V | --verbose]

DESCRIPTION
gnunet-core is a tool to access various functions of GNUnet's core subsystem from the command-line.

-c FILENAME | --config=FILENAME
    Configuration file to use.

-h | --help
    Print the help page.

-L LOGLEVEL | --loglevel=LOGLEVEL
    Change the loglevel. Possible values for LOGLEVEL are ERROR, WARNING, INFO and DEBUG.

-I HELLOURI | --import-hello=HELLOURI
    Import a HELLO URI (into the peerstore and make it available to core).

-H | --export-hello
    Print a freshly signed HELLO URI for our peer.

-D | --dump-hellos
    Print all known HELLOs (peer IDs and addresses). These are only all known, and not necessarily connected peers.

-m | --monitor
    In monitor mode, gnunet-core will continuously print the connection status, instead of giving just a snapshot.

-i | --show-identity
    Output current local peer identity.

-s | --connection-status
    Show current peer connection status.

-v | --version
    Print the version number.

-V | --verbose
    Be verbose.

SEE ALSO
gnunet-transport(1)

The full documentation for gnunet is maintained as a Texinfo manual. If the info(1) and gnunet programs are properly installed at your site, the command

    info gnunet

should give you access to the complete handbook,

    info gnunet-c-tutorial

will give you access to a tutorial for developers.

Depending on your installation, this information is also available in gnunet(7) and gnunet-c-tutorial(7).

BUGS
Report bugs by using https://bugs.gnunet.org or by sending electronic mail to <gnunet-developers@gnu.org>.